/*
 * inputsoftdevice.h: input from Softdevice for the Atmolight-plugin
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef _ATMO_INPUTSOFTDEVICE_H
#define _ATMO_INPUTSOFTDEVICE_H

#include <vdr/thread.h>

// --- cInputSoftdevice ------------------------------------------------------
class cInputSoftdevice : public cAtmoInput, public cThread {
private:
  int pnm_header_length;

  void CalcColors(void);
protected:
  virtual void Action(void);
public:
  cInputSoftdevice();
  ~cInputSoftdevice();
  virtual bool Open(const char* param);
  virtual bool Close(void);
};

#endif // _ATMO_INPUTSOFTDEVICE_H
